<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>vocalesConsonantes</title>
</head>
<body>
    <script>
        /* 
        * Funció que donat un paràmentre tipus string, recorre el string lletra per lletra, fent ús d'un bucle for, 
        * i si la posició on esta coincidèix amb una vocal (la llista de vocals conté el caracter en aquesta posició), 
        * el "sumo" a un string de vocals. El mateix per les consonants. Per últim ajunto els dos strings.
        * Se que funcionara quan donada una string em retorni un altre string amb les vocals ordenades seguides de les consonants ordenades.
        */

        var stringToTreat = prompt(`Write. Now.
                ╱╲«
                ╲_|╲
                ╲╲.╲
                ╭╯╲╣»╲
                ╲¯2╯≡≡≡╲,
                ╱▄███▀| v
                ╱▄██▀╱
                ╲▀▀╱
        `)

        function separarVocalesDeConsonantes(stringToTreat){
            var vowelsInString = "";
            var consonantsInString = "";
            var listOfVowels = "aeiou";

            for (let index = 0; index < stringToTreat.length; index++) {
                if (listOfVowels.includes(stringToTreat[index].toLowerCase())) {
                    vowelsInString += stringToTreat[index];
                }else{
                    consonantsInString += stringToTreat[index];
                }
            }
            alert("Simple:\n" + vowelsInString+consonantsInString);
        }
        separarVocalesDeConsonantes(stringToTreat);

        function separarVocalesDeConsonantesArray(stringToTreat){
            const vowels = [];
            const cons = [];
            const listOfVowels = ["a", "e", "i", "o", "u"];

            for (let index = stringToTreat.length - 1; index >= 0; index--) {
                if (listOfVowels.includes(stringToTreat[index].toLowerCase())) {
                    vowels.unshift(stringToTreat[index]);
                }else{
                    cons.unshift(stringToTreat[index]);
                }
            }
            alert("Con arrays:\n" + vowels.join("") + cons.join(""))
        }
        separarVocalesDeConsonantesArray(stringToTreat);
    </script>
</body>
</html>